summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jeremy Hansen2017-02-19 04:58:03 +0100
committer Willy Sudiarto Raharjo2017-02-21 10:44:41 +0100
commit2b565f5194d691b82544df793003f7c01c9a48ba (patch)
tree8abe68595b7635db736189fb555efe5dd20e28bd
parentc9eb304db2fd2b8922f90f826fe5619659741a71 (diff)
downloadslackbuilds-2b565f5194d691b82544df793003f7c01c9a48ba.tar.gz
games/redeclipse: Updated for version 1.5.8.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/redeclipse/redeclipse.SlackBuild51
-rw-r--r--games/redeclipse/redeclipse.info84
-rw-r--r--games/redeclipse/submodules-list36
3 files changed, 145 insertions, 26 deletions
diff --git a/games/redeclipse/redeclipse.SlackBuild b/games/redeclipse/redeclipse.SlackBuild
index a606ed8ce4..5507472d5f 100644
--- a/games/redeclipse/redeclipse.SlackBuild
+++ b/games/redeclipse/redeclipse.SlackBuild
@@ -2,6 +2,7 @@
# Slackware build script for Red Eclipse
+# Copyright 2017 Jeremy Hansen <jebrhansen+SBo -at- gmail.com>
# Copyright 2015 Erik Falor USA
# All rights reserved.
#
@@ -23,14 +24,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=redeclipse
-VERSION=${VERSION:-1.5.1}
+VERSION=${VERSION:-1.5.8}
SRCNAM=base
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -41,8 +42,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -63,6 +64,15 @@ cd $TMP
rm -rf $SRCNAM-$VERSION
tar xvf $CWD/${SRCNAM}-${VERSION}.tar.gz
cd $SRCNAM-$VERSION
+
+# Unpack the submodules
+for SUBMODULE in `cat $CWD/submodules-list`; do
+ rm -r data/$SUBMODULE
+ tar xvf $CWD/${SUBMODULE}-${VERSION}.tar.gz
+ mv ${SUBMODULE}-${VERSION} data/${SUBMODULE}
+ rm data/${SUBMODULE}/.gitmodules
+done
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -70,27 +80,28 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# remove the pre-built binaries
-rm -rf bin/*
-
-# Compile the application using custom SLKCFLAGS
-(
- cd src
- cp ../doc/man/cube2font.1 install/nix
+# Compile the application and install it into the $PKG directory
+export CXXFLAGS="$SLKCFLAGS"
+make -C src/ client server cube2font
+make -C src/ \
+ DESTDIR=$PKG \
+ prefix=/usr \
+ libexecdir=$PKG/usr/libexec \
+ mandir=$PKG/usr/man \
+ system-install system-install-cube2font
- make EXTRA_CXXFLAGS="$SLKCFLAGS" all cube2font
- make DESTDIR=$PKG system-install system-install-cube2font
-)
+# Strip binaries and libraries
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mv $PKG/usr/local/* $PKG/usr/
-mv $PKG/usr/share/man/ $PKG/usr
-rm -rf $PKG/usr/local
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
# Copy program documentation into the package
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a doc/all-licenses.txt doc/cc-by-sa.txt doc/changelog.txt doc/cube2font.txt \
- doc/license.txt doc/trademark.txt \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp doc/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Copy slack-desc and doinst.sh into ./install
mkdir -p $PKG/install
diff --git a/games/redeclipse/redeclipse.info b/games/redeclipse/redeclipse.info
index 4d7bcc84f5..11ac8da3db 100644
--- a/games/redeclipse/redeclipse.info
+++ b/games/redeclipse/redeclipse.info
@@ -1,10 +1,82 @@
PRGNAM="redeclipse"
-VERSION="1.5.1"
+VERSION="1.5.8"
HOMEPAGE="http://www.redeclipse.net"
-DOWNLOAD="https://github.com/red-eclipse/base/archive/v1.5.1/base-1.5.1.tar.gz"
-MD5SUM="109dd6a1e45074f14a109bcc18848455"
+DOWNLOAD="https://github.com/red-eclipse/base/archive/v1.5.8/base-1.5.8.tar.gz \
+https://github.com/red-eclipse/acerspyro/archive/v1.5.8/acerspyro-1.5.8.tar.gz \
+https://github.com/red-eclipse/actors/archive/v1.5.8/actors-1.5.8.tar.gz \
+https://github.com/red-eclipse/appleflap/archive/v1.5.8/appleflap-1.5.8.tar.gz \
+https://github.com/red-eclipse/blendbrush/archive/v1.5.8/blendbrush-1.5.8.tar.gz \
+https://github.com/red-eclipse/caustics/archive/v1.5.8/caustics-1.5.8.tar.gz \
+https://github.com/red-eclipse/crosshairs/archive/v1.5.8/crosshairs-1.5.8.tar.gz \
+https://github.com/red-eclipse/dziq/archive/v1.5.8/dziq-1.5.8.tar.gz \
+https://github.com/red-eclipse/elyvisions/archive/v1.5.8/elyvisions-1.5.8.tar.gz \
+https://github.com/red-eclipse/fonts/archive/v1.5.8/fonts-1.5.8.tar.gz \
+https://github.com/red-eclipse/freezurbern/archive/v1.5.8/freezurbern-1.5.8.tar.gz \
+https://github.com/red-eclipse/john/archive/v1.5.8/john-1.5.8.tar.gz \
+https://github.com/red-eclipse/jojo/archive/v1.5.8/jojo-1.5.8.tar.gz \
+https://github.com/red-eclipse/jwin/archive/v1.5.8/jwin-1.5.8.tar.gz \
+https://github.com/red-eclipse/luckystrike/archive/v1.5.8/luckystrike-1.5.8.tar.gz \
+https://github.com/red-eclipse/maps/archive/v1.5.8/maps-1.5.8.tar.gz \
+https://github.com/red-eclipse/mayhem/archive/v1.5.8/mayhem-1.5.8.tar.gz \
+https://github.com/red-eclipse/mikeplus64/archive/v1.5.8/mikeplus64-1.5.8.tar.gz \
+https://github.com/red-eclipse/misc/archive/v1.5.8/misc-1.5.8.tar.gz \
+https://github.com/red-eclipse/nieb/archive/v1.5.8/nieb-1.5.8.tar.gz \
+https://github.com/red-eclipse/nobiax/archive/v1.5.8/nobiax-1.5.8.tar.gz \
+https://github.com/red-eclipse/particles/archive/v1.5.8/particles-1.5.8.tar.gz \
+https://github.com/red-eclipse/philipk/archive/v1.5.8/philipk-1.5.8.tar.gz \
+https://github.com/red-eclipse/projectiles/archive/v1.5.8/projectiles-1.5.8.tar.gz \
+https://github.com/red-eclipse/props/archive/v1.5.8/props-1.5.8.tar.gz \
+https://github.com/red-eclipse/skyboxes/archive/v1.5.8/skyboxes-1.5.8.tar.gz \
+https://github.com/red-eclipse/snipergoth/archive/v1.5.8/snipergoth-1.5.8.tar.gz \
+https://github.com/red-eclipse/sounds/archive/v1.5.8/sounds-1.5.8.tar.gz \
+https://github.com/red-eclipse/textures/archive/v1.5.8/textures-1.5.8.tar.gz \
+https://github.com/red-eclipse/torley/archive/v1.5.8/torley-1.5.8.tar.gz \
+https://github.com/red-eclipse/trak/archive/v1.5.8/trak-1.5.8.tar.gz \
+https://github.com/red-eclipse/ulukai/archive/v1.5.8/ulukai-1.5.8.tar.gz \
+https://github.com/red-eclipse/unnamed/archive/v1.5.8/unnamed-1.5.8.tar.gz \
+https://github.com/red-eclipse/vanities/archive/v1.5.8/vanities-1.5.8.tar.gz \
+https://github.com/red-eclipse/vegetation/archive/v1.5.8/vegetation-1.5.8.tar.gz \
+https://github.com/red-eclipse/weapons/archive/v1.5.8/weapons-1.5.8.tar.gz \
+https://github.com/red-eclipse/wicked/archive/v1.5.8/wicked-1.5.8.tar.gz"
+MD5SUM="847ba27b605be12ecd81f32fa6e63632 \
+4cf932dab1a81627c3039d1a7d6c139e \
+b9ebca89084c42c03990a861d0e62d6a \
+d28d9deb0d58cbcdd939d0a14b1d502f \
+3d0cdd1d361bac79f39b4bf0509f2b0a \
+db43fd5c3c6d6586bf7a5250b71dadcb \
+c055e7970408c557345b31a637bcd310 \
+1d86961db63fe79fc287a24d26f7dd3c \
+62855ca4c0138d1f7c473f07d82712a5 \
+2ac6271d8c0b39e9ea45c34be22f0e94 \
+499af84a47bdbf0e181fd2d9bdb9e9c1 \
+42977d41e3a78e1934128edd3231adb8 \
+ec29a0ed72d9f2a1efe6bcac2b86aefb \
+174b7d9d5c5fe19d42a36758ce986577 \
+e1b7ddc65576a488ffc2bb8c1862b512 \
+28224b47ec08317b08b377328e77c39d \
+4ed06dae44455afea522ff468117ec09 \
+ac6950584ed9bf7feb092d06fb06d6da \
+0a9630ee2f41818ffb735984905dd8dd \
+81212f015c0036ff08ee67a44bf8e22c \
+64aee980afc452494e38d51fb1d294db \
+270dad16387a38b37eb60764f6d523b6 \
+861c647c4b17aa1978cba5e741dadc1d \
+3513a09ae4cbf146c3df877a74302579 \
+4cf2255b7a935e9db41fc4cd6ba98b81 \
+fadc95b08bd802804d115f4fbcf5411a \
+0598bd2f37dfd9639bb46bdaf41a2b78 \
+60a40a66518fce41ee1144642261afe4 \
+213990cfdc6fd23232960a9c434daf97 \
+2fca5c7188c2ac32e1b1b97f8173799c \
+bbdac099ac7797848f49fd5b8e1b200c \
+cf8bc0457efac4275c9f1f00d1f8de61 \
+07f12c2f2d0f6d81208a2b72508f3ea9 \
+fd99a5c0f70ec6d5f14e8e05bca7bc24 \
+002d037766ad0d5b3cfc8ae5d6649893 \
+ed60dbc37a24570199729d80b7af58e7 \
+b1e62f954af2429dead148f676fcf8af"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES=""
-MAINTAINER="Erik Falor"
-EMAIL="ewfalor@gmail.com"
+REQUIRES="SDL2_image SDL2_mixer"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/games/redeclipse/submodules-list b/games/redeclipse/submodules-list
new file mode 100644
index 0000000000..693b967aba
--- /dev/null
+++ b/games/redeclipse/submodules-list
@@ -0,0 +1,36 @@
+acerspyro
+actors
+appleflap
+blendbrush
+caustics
+crosshairs
+dziq
+elyvisions
+fonts
+freezurbern
+john
+jojo
+jwin
+luckystrike
+maps
+mayhem
+mikeplus64
+misc
+nieb
+nobiax
+particles
+philipk
+projectiles
+props
+skyboxes
+snipergoth
+sounds
+textures
+torley
+trak
+ulukai
+unnamed
+vanities
+vegetation
+weapons
+wicked